

#ifndef _DEDALUS_HPP
#define _DEDALUS_HPP

#include <eda/error>
#include <eda/util>
#include "laberint.hpp"
using util::nat;

namespace dedalus {
#ifdef EXTENDED_VERSION
  void construir(laberint& M, nat ncc = 1, nat maxciclo = 0) throw(error);
#else
  void construir(laberint& M) throw(error);
#endif

  static const char nom_mod[] = "dedalus";
  static const int EstaExcavat = 51;
  static const char MsgEstaExcavat[]
                          = "El laberint ja esta excavat";
#ifdef EXTENDED_VERSION
  static const int NumRegionsIncorrecte = 52;
  static const char MsgNumRegionsIncorrecte[] = 
              "Numero de regions del laberint incorrecte";
#endif
};
#endif
