

#ifndef _CAMBRA_HPP
#define _CAMBRA_HPP
#include <string>
#include <eda/error>
#include <eda/util>
#include "paret.hpp"

class cambra {
public:

  explicit cambra(bool n=false, bool s=false,
                  bool e=false, bool o=false) throw(error);

  cambra(const cambra & c) throw(error);
  cambra& operator=(const cambra & c) throw(error);
  ~cambra() throw();

bool hi_ha_porta(paret p) const throw();

void obre_porta(paret p) throw(error);

void tanca_porta(paret p) throw(error);

bool operator==(const cambra & c) const throw();
bool operator!=(const cambra & c) const throw();

  static const char nom_mod[] = "cambra";

  static const int ParetInexistent = 21;

  static const char MsgParetInexistent[] = "La paret no existeix";
private:
  #include "cambra.rep"
};
#endif
